<template>
<div>
    <v-rating @input="onRatingChange"/>
</div>
</template>

<script lang="ts">

import { Component, Vue } from "vue-property-decorator"

@Component
export default class JokeItem extends Vue {

    jokeRating = 0

    onRatingChange(newRating: number) {
        this.$emit('update-rating', newRating)
    }
}

</script>